Package org.eclipse.jface.databinding.viewers

## Interface IViewerObservableValue<T>

Type Parameters:
  `T` - type of the value of the observable

All Superinterfaces:
  `IObservable`, `IObservableValue<T>`, `IViewerObservable`

    public interface IViewerObservableValue<T>
    extends IObservableValue<T>, IViewerObservable

`IObservableValue` observing a JFace Viewer.

Since:
  1.2

### Method Summary

### Methods inherited from interface org.eclipse.core.databinding.observable.IObservable

`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

### Methods inherited from interface org.eclipse.core.databinding.observable.value.IObservableValue

`addValueChangeListener, getValue, getValueType, removeValueChangeListener, setValue`

### Methods inherited from interface org.eclipse.jface.databinding.viewers.IViewerObservable

`getViewer`